/* C code produced by gperf version 2.1 (K&R C version) */
/* Command-line: gperf -ptT keywords.gperf  */


/*
  gperf -ptT keywords.gperf >keywords.c

    p - return pointer to struct or 0
    t - use structure type declaration
    T - don't copy struct definition to output
*/

#include <string.h>
#include "tokens_only.h"
#include "keywords.h"

#define MIN_WORD_LENGTH 4
#define MAX_WORD_LENGTH 6
#define MIN_HASH_VALUE 4
#define MAX_HASH_VALUE 11
/*
    6 keywords
    8 is the maximum key range
*/

static int
hash (str, len)
     register char *str;
     register unsigned int  len;
{
  static unsigned char hash_table[] =
    {
     11, 11, 11, 11, 11, 11, 11, 11, 11, 11,
     11, 11, 11, 11, 11, 11, 11, 11, 11, 11,
     11, 11, 11, 11, 11, 11, 11, 11, 11, 11,
     11, 11, 11, 11, 11, 11, 11, 11, 11, 11,
     11, 11, 11, 11, 11, 11, 11, 11, 11, 11,
     11, 11, 11, 11, 11, 11, 11, 11, 11, 11,
     11, 11, 11, 11, 11, 11, 11, 11, 11, 11,
     11, 11, 11, 11, 11, 11, 11, 11, 11, 11,
     11, 11, 11, 11, 11, 11, 11, 11, 11, 11,
     11, 11, 11, 11, 11, 11, 11, 11, 11,  5,
      5,  0, 11, 11, 11, 11, 11, 11,  7, 11,
      0,  0, 11, 11,  0, 11,  0, 11, 11,  0,
     11, 11, 11, 11, 11, 11, 11, 11,
    };
  return len + hash_table[str[len - 1]] + hash_table[str[0]];
}

Keywords*
in_word_set (str, len)
     register char *str;
     register unsigned int len;
{

  static Keywords wordlist[] =
    {
      {"",}, {"",}, {"",}, {"",}, 
      {"open",  Open},
      {"right",     Right},
      {"window",    Window},
      {"",}, {"",}, 
      {"door",  Door},
      {"close",     Close},
      {"left",  Left},
    };

  if (len <= MAX_WORD_LENGTH && len >= MIN_WORD_LENGTH)
    {
      register int key = hash (str, len);

      if (key <= MAX_HASH_VALUE && key >= MIN_HASH_VALUE)
        {
          register char *s = wordlist[key].name;

          if (*s == *str && !strcmp (str + 1, s + 1))
            return &wordlist[key];
        }
    }
  return 0;
}
