//
//  wstabadjust.cpp
//

/*  This file should be accompanied by DISCLAIMER.TXT stating disclaimers */

#include "tokens.h"
#include "stdio.h"
#include "DLGLexer.h"

void DLGLexer::tabAdjust () {

   char * p;

// give better error messages when lexical problem on first of multi-line
//   element.  Variable begline is in class derived from DLGLexer.

   if (_lextext == _begexpr) begline=_line;

// back out naive computation of column position by DLG

   _endcol=_endcol - ( _endexpr - _begexpr); 

   for (p=_begexpr;*p != 0; p++) {
      if (*p == '\n') {
     newline();_endcol=0;
      } else if (*p == '\t') {
         _endcol=((_endcol-1) & ~7) + 8;
      };
     _endcol++;
   };
   _endcol--;           // DLG will compute begcol=endcol+1
}
